"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.tapAfterEnvironmentToPatchWatching = void 0;
const infrastructure_logger_1 = require("../infrastructure-logger");
const InclusiveNodeWatchFileSystem_1 = require("../watch/InclusiveNodeWatchFileSystem");
function tapAfterEnvironmentToPatchWatching(compiler, state) {
    const { debug } = infrastructure_logger_1.getInfrastructureLogger(compiler);
    compiler.hooks.afterEnvironment.tap('ForkTsCheckerWebpackPlugin', () => {
        const watchFileSystem = compiler.watchFileSystem;
        if (watchFileSystem) {
            debug("Overwriting webpack's watch file system.");
            // wrap original watch file system
            compiler.watchFileSystem = new InclusiveNodeWatchFileSystem_1.InclusiveNodeWatchFileSystem(
            // we use some internals here
            watchFileSystem, compiler, state);
        }
        else {
            debug('No watch file system found - plugin may not work correctly.');
        }
    });
}
exports.tapAfterEnvironmentToPatchWatching = tapAfterEnvironmentToPatchWatching;
